#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll mini(ll a,ll b){
 if(a<b) return a;
 else return b;
}
int main()
{
    ios::sync_with_stdio(false);
    ll n,x;
    ll rez;
    cin >> n >> x;
    ll a[n];
    for(int i=0;i<n;i++) cin >> a[i];
    sort(a,a+n);
    if(x<a[0])//sve komsije su sa desne strane
        rez=a[n-1]-x;
    else if(x>a[n-1])//sve komsije sa leve strane
        rez=x-a[0];
    else{
        ll p1=(x-a[0])*2+(a[n-1]-x);//prvo levo pa se vraca
        ll p2=(a[n-1]-x)*2+(x-a[0]);//prvo desno oa se vraca
        rez=mini(p1,p2);
    }
    cout << rez << '\n';
    return 0;
}